(function($) {

	wp.customize('sidemenu_dashicon_size', function(value) {
		value.bind(function(newval) {
		    if (newval === '') {
                $('.open_sidemenu .dashicons').css('width', '20px').css('height', '20px').css('font-size', '20px');
		    } else {
                $('.open_sidemenu .dashicons').css('width', newval + 'px').css('height', newval + 'px').css('font-size', newval + 'px');
		    }
        });
	});

	wp.customize('sidemenu_close_icon_color', function(value) {
		value.bind(function(newval) {
		    if (newval === '') {
                $('.sidemenu .close_sidemenu').css('color', '#ffffff');
		    } else {
                $('.sidemenu .close_sidemenu').css('color', newval);
		    }
        });
	});

	wp.customize('sidemenu_close_icon_background_color', function(value) {
		value.bind(function(newval) {
		    if (newval === '') {
                $('.sidemenu .close_sidemenu').css('background-color', 'transparent');
		    } else {
                $('.sidemenu .close_sidemenu').css('background-color', newval);
		    }
        });
	});

	wp.customize('sidemenu_smaller_submenu', function(value) {
		value.bind(function(newval) {
		    if (newval === false) {
                $('.sidemenu .widget li li, .sidemenu .menu li li').css('font-size', 'inherit');
		    } else {
                $('.sidemenu .widget li li, .sidemenu .menu li li').css('font-size', 'smaller');
		    }
        });
	});

	wp.customize('sidemenu_menu_padding', function(value) {
		value.bind(function(newval) {
		    if (newval === '') {
                $('.sidemenu .widget li, .sidemenu .menu li').css('padding-top', '0').css('padding-bottom', '0');
		    } else {
                $('.sidemenu .widget li, .sidemenu .menu li').css('padding-top', (newval / 10) + 'em').css('padding-bottom', (newval / 10) + 'em');
		    }
        });
	});

	wp.customize('sidemenu_text_align', function(value) {
		value.bind(function(newval) {
		    if (newval === '') {
                $('.sidemenu p, .sidemenu li').css('text-align', 'left');
		    } else {
                $('.sidemenu p, .sidemenu li').css('text-align', newval);
		    }
        });
	});

	wp.customize('sidemenu_text_transform', function(value) {
		value.bind(function(newval) {
		    if (newval === '') {
                $('.sidemenu p, .sidemenu li').css('text-transform', 'none');
		    } else {
                $('.sidemenu p, .sidemenu li').css('text-transform', newval);
		    }
        });
	});

})(jQuery);
